summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-17 19:50:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-17 19:50:31 +0000
commitd0ad1f5c7eca4cc523d76e89e67664a6f8c92b43 (patch)
tree2d9c1dfb052d3e795c8c7bac5635a87d83f6511d /dev-python
parent7de9e69562309a26d1cab343e19189ca3755c608 (diff)
downloadbaldeagleos-repo-d0ad1f5c7eca4cc523d76e89e67664a6f8c92b43.tar.gz
baldeagleos-repo-d0ad1f5c7eca4cc523d76e89e67664a6f8c92b43.tar.xz
baldeagleos-repo-d0ad1f5c7eca4cc523d76e89e67664a6f8c92b43.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/beartype/Manifest1
-rw-r--r--dev-python/beartype/beartype-0.12.0.ebuild37
-rw-r--r--dev-python/caldav/caldav-1.0.1-r1.ebuild41
-rw-r--r--dev-python/python-recurring-ical-events/Manifest1
-rw-r--r--dev-python/python-recurring-ical-events/metadata.xml11
-rw-r--r--dev-python/python-recurring-ical-events/python-recurring-ical-events-2.0.0.ebuild43
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.8.2.ebuild98
-rw-r--r--dev-python/x-wr-timezone/Manifest1
-rw-r--r--dev-python/x-wr-timezone/metadata.xml11
-rw-r--r--dev-python/x-wr-timezone/x-wr-timezone-0.0.5.ebuild34
11 files changed, 279 insertions, 0 deletions
diff --git a/dev-python/beartype/Manifest b/dev-python/beartype/Manifest
index 0d25f2580d99..f590e489cc58 100644
--- a/dev-python/beartype/Manifest
+++ b/dev-python/beartype/Manifest
@@ -1 +1,2 @@
DIST beartype-0.11.0.gh.tar.gz 806671 BLAKE2B 757764885fb99d82ecd2d7e205329a4f66898e0552e29216ca943ebc79661d0f43454dd43b0a7529cb148c0a50c9241eef56f7d5f1534290496d9811b3b9dac6 SHA512 23aff4208f6e41a8f3366c161576e6a6ff30f8d702926a52c266da4d169d683341ca6e728f5882ea2dbe91be23e64314b43343db4fab795d08a2983015398d9d
+DIST beartype-0.12.0.gh.tar.gz 874431 BLAKE2B 0ad2a6c852b32427f8f9c5a8915e580601b24551e956d458a64cda4127bffe91a94ff676e2284daed6671e2c94515a234fd74dcb3d8a78616665490d1a780910 SHA512 2724f080a0f423a8b79b080843db696ee607f2e27ef52d726928086b643ebb31abe4e3ae24cae12075e222a21291d301601606640ca281ff98272578d5bf752e
diff --git a/dev-python/beartype/beartype-0.12.0.ebuild b/dev-python/beartype/beartype-0.12.0.ebuild
new file mode 100644
index 000000000000..7130cea7570c
--- /dev/null
+++ b/dev-python/beartype/beartype-0.12.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Unbearably fast runtime type checking in pure Python"
+HOMEPAGE="
+ https://pypi.org/project/beartype/
+ https://github.com/beartype/beartype
+"
+SRC_URI="
+ https://github.com/beartype/beartype/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ test? (
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # fragile performance test
+ beartype_test/a00_unit/a90_decor/test_decorwrapper.py::test_wrapper_fail_obj_large
+)
diff --git a/dev-python/caldav/caldav-1.0.1-r1.ebuild b/dev-python/caldav/caldav-1.0.1-r1.ebuild
new file mode 100644
index 000000000000..6b2bb1bfeaeb
--- /dev/null
+++ b/dev-python/caldav/caldav-1.0.1-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="CalDAV (RFC4791) client library for Python"
+HOMEPAGE="
+ https://github.com/python-caldav/caldav/
+ https://pypi.org/project/caldav/
+"
+SRC_URI="
+ https://github.com/python-caldav/caldav/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( GPL-3 Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/vobject[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ dev-python/python-recurring-ical-events[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ www-apps/radicale[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-recurring-ical-events/Manifest b/dev-python/python-recurring-ical-events/Manifest
new file mode 100644
index 000000000000..a2c17c918b30
--- /dev/null
+++ b/dev-python/python-recurring-ical-events/Manifest
@@ -0,0 +1 @@
+DIST python-recurring-ical-events-2.0.0.gh.tar.gz 325608 BLAKE2B 386ab8a54343fb02c15938801c15b31c8c8ba6bd0888a677268625fcba5571724d53c42f9d093ea8590d6e3557c151b73f9fb532a1bea194bc6d7032e04946e9 SHA512 676bc074a4d9ddb2bf0aefe8e118eab6e80479bb0d585b9f4c50f4bd49c7adf03e484b34bdf01596bb012c903a8017644ff74026d333f13f5c7df2c4326ab18c
diff --git a/dev-python/python-recurring-ical-events/metadata.xml b/dev-python/python-recurring-ical-events/metadata.xml
new file mode 100644
index 000000000000..ea8988e8af6a
--- /dev/null
+++ b/dev-python/python-recurring-ical-events/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/python-recurring-ical-events/python-recurring-ical-events-2.0.0.ebuild b/dev-python/python-recurring-ical-events/python-recurring-ical-events-2.0.0.ebuild
new file mode 100644
index 000000000000..65317a45fada
--- /dev/null
+++ b/dev-python/python-recurring-ical-events/python-recurring-ical-events-2.0.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Repeat ICalendar events by RRULE, RDATE and EXDATE"
+HOMEPAGE="
+ https://github.com/niccokunzmann/python-recurring-ical-events/
+ https://pypi.org/project/recurring-ical-events/
+"
+SRC_URI="
+ https://github.com/niccokunzmann/python-recurring-ical-events/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ <dev-python/x-wr-timezone-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/x-wr-timezone-0.0.5[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ test/test_readme.py
+)
+
+EPYTEST_DESELECT=(
+ # a test checking if tzdata package is installed that is apparently
+ # needed for other tests, except it isn't
+ test/test_zoneinfo_issue_57.py::test_zoneinfo_must_be_installed_if_it_is_possible
+)
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index f85f75c3f2ee..8fb22b85c485 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,3 +1,4 @@
DIST translate-3.7.4.gh.tar.gz 1153973 BLAKE2B 55fd5d8f8d9c53d3aabaaece54272650fc412c778cbbc86d83b391946aebb627c7ad3dd8e10d5bc0bd6380f8396fd5c373a47d9323365886a50299f392238b4c SHA512 0eb93712de9fd7324e0e99cd31996694356452df51ac9f081f27f7bf15391e9630d4b042e2af4ca5b06d43d92f35cfd8806f18ad936c293bd08bdd465b09789e
DIST translate-3.8.0.gh.tar.gz 1155430 BLAKE2B 53b9964373c49d2eaaa11f13c0a80aefef8572077561fbc2666b5c4f2f7b7731cda9ef665b0f077a84237bb7ccc6251b23308c18672d6397b08a6a64e91426bb SHA512 9ebacfa76e16e179cb000e9f60b1f91ddacf70644764d215df43c55876bc684c6e4c2c1d52e2c1aa00c6e757f87167f04ee7dac7ce996c5b9d3d39aff4bb7484
DIST translate-3.8.1.gh.tar.gz 1157283 BLAKE2B fffe95aa8d874a98cb6bc45a37ae03752ba9903b151ba894ca4bcaff48fbec524fadef4133b2bdf0c65b0d834c094bd6897d7ecca33ce00ef89840d1eb4fcf81 SHA512 a7739f0ddd64677e8a5236f017b9a36b7c4c2ea7b3710ffcae5dea5e738049b12f77a1b7cb6755712bdc55184258fb80e48ffa082abce886322614049d68dca9
+DIST translate-3.8.2.gh.tar.gz 1157429 BLAKE2B 3e611d2f1843fefd0d335a1f9a307b4239ab634499324631dd678a79c28ee17d909be621a0e0e00950ab97ea1dd2a46682f45f713895db85f62feacee8cbeef6 SHA512 3875a711dc7d070d4d857304848bd454fab0c5f78bc6722da4a905c21fa7a95d8b9f165397ea3c0e82216f312ecdd9ee0763da8a58338c51853d526b5956895b
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.8.2.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.8.2.ebuild
new file mode 100644
index 000000000000..4fec614ce01a
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.8.2.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/Levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? ( dev-python/phply[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ # Apparently a change in line wrapping x_x
+ translate/storage/test_cpo.py::TestCPOFile::test_wrap_gettext
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ # translate/storage/test_mo.py needs 'pocompile'
+ distutils_install_for_testing
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+
+ python_optimize
+}
diff --git a/dev-python/x-wr-timezone/Manifest b/dev-python/x-wr-timezone/Manifest
new file mode 100644
index 000000000000..e7037785c320
--- /dev/null
+++ b/dev-python/x-wr-timezone/Manifest
@@ -0,0 +1 @@
+DIST x-wr-timezone-0.0.5.gh.tar.gz 19728 BLAKE2B d3b098da4ff358e19cb70c2f59bb95de55fc27f058359e6d8eca8595bc375e83c05d139491b8e06f07ab1a5ca9e0b9a2dc1fa87cb1aea83e722f494da2ebbc88 SHA512 b530e96e2e32febf82a4aac9fe1067431c7396a029ca785ade8a8c5e2fe04b1d95e60ecf7ecc9862057bffd3e9dd6a773d14c385cb431d1b22858091f3bd7892
diff --git a/dev-python/x-wr-timezone/metadata.xml b/dev-python/x-wr-timezone/metadata.xml
new file mode 100644
index 000000000000..ea8988e8af6a
--- /dev/null
+++ b/dev-python/x-wr-timezone/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/x-wr-timezone/x-wr-timezone-0.0.5.ebuild b/dev-python/x-wr-timezone/x-wr-timezone-0.0.5.ebuild
new file mode 100644
index 000000000000..d72ddab16265
--- /dev/null
+++ b/dev-python/x-wr-timezone/x-wr-timezone-0.0.5.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Convert calendars using X-WR-TIMEZONE to standard ones"
+HOMEPAGE="
+ https://github.com/niccokunzmann/x-wr-timezone/
+ https://pypi.org/project/x-wr-timezone/
+"
+SRC_URI="
+ https://github.com/niccokunzmann/x-wr-timezone/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ test/test_readme.py
+)